package com.example.sdk.common;

import lombok.Data;

@Data
public class GatewayResponse<T> {
    /**
     * 网关状态码，10: 成功，20: 失败
     */
    private Integer status;
    /**
     * 系统生成的标志本次调用的id
     */
    private String apiInvokeId;
    /**
     * 网关错误码，成功忽略
     */
    private String errCode;
    /**
     * 网关错误详情，成功忽略
     */
    private String errMessage;
    /**
     * 服务错误码，成功忽略
     */
    private String subErrCode;
    /**
     * 服务错误详情，成功忽略
     */
    private String subErrMessage;
    /**
     * 具体服务返回数据，格式由具体接口决定
     */
    private T data;
}