package com.example.sdk.progress;

import java.io.Serializable;

import lombok.Data;

/**
 * 示例 - 工作流返回数据（对应网关层 data 字段）
 */
@Data
public class GetTaskProgressResponse {
    /**
     * 生图进度: 0-1
     */
    private Double progress;

    /**
     * 任务状态，可能取值：succeeded, failed, running, waiting
     */
    private String status;

    /**
     * 等待队列长度，当 status = 'waiting' 时，该值有效
     */
    private Integer lastQueueRemaining;

    /**
     * 预期剩余生图执行时间，单位 s
     */
    private Double etaRelative;

    /**
     * 生图进展简述
     */
    private String message;

    /**
     * 生图详细进度
     */
    private ProgressState state;


    @Data
    public static class ProgressState {
        /**
         * 当前执行节点类型
         */
        private String nodeLabel;
        /**
         * 当前节点对应的迭代步数
         */
        private Integer step;
        /**
         * 当前节点最大迭代步数
         */
        private Integer maxSteps;
    }


}