package com.example.sdk.result;

import java.util.List;

import lombok.Data;

/**
 * 示例 - 工作流返回数据（对应网关层 data 字段）
 */
@Data
public class GetTaskResultResponse {
    /**
     * 生图任务ID
     */
    private String taskId;

    /**
     * 任务状态，可能取值：succeeded, failed, running, waiting
     */
    private String status;

    /**
     * 执行时长，单位（毫秒）
     */
    private Long taskDuration;

    /**
     * 任务开始时间，13 位时间戳
     */
    private Long taskBeginTime;

    /**
     * 任务结束时间，13 位时间戳
     */
    private Long taskEndTime;

    /**
     * 默认输出图片列表，如果接口发版未指定输出字段，默认可以使用该字段获取生成图片地址
     */
    private List<String> images;

    /**
     * 自定义输出字段，当接口发布时配置自定义输出后该字段有效。
     */
    private ExampleOutputs result;
}