package com.example.sdk.submit;

import java.io.Serializable;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Builder;
import lombok.Data;

/**
 * 示例 - 工作流请求 DTO
 */
@Data
@Builder
public class SubmitTaskRequest {

    /**
     * 工作流ID，固定值，可以在工作流管理里拷贝 (必填)
     */
    @JSONField(name = "workflow_id")
    private String workflowId;

    /**
     * 工作流别名 (可选, 与 versionId 二选一必填)
     * 别名可以理解为指向特定版本的指针，可用于发布、回滚等操作
     */
    @JSONField(name = "alias_id")
    private String aliasId;

    /**
     * 工作流版本号 (可选, 与 aliasId 二选一必填)
     * 系统自增值, eg: v1, v2...
     */
    @JSONField(name = "version_id")
    private String versionId;

    /**
     * 自动将工作流的所有 seed 字段改为随机值，避免命中 ComfyUI 缓存 (可选, 默认 false)
     */
    @JSONField(name = "randomise_seeds")
    private Boolean randomiseSeeds;

    /**
     * 是否返回工作流中的临时图片 (可选, 默认 false)
     */
    @JSONField(name = "return_temp_files")
    private Boolean returnTempFiles;

    /**
     * 工作流的输入参数 (必填)
     * 具体格式与工作流配置相关；此处给出一个示例字段集
     */
    @JSONField(name = "inputs")
    private ExampleInputs inputs;
}